<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// include & instantiate facebook photos class
include_once "libs/php/dsm_facebook_photos.php";
$dsm_facebook_photos = new DsmFacebookPhotos();
?>
<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>LEVEL 3 - Display Facebook Photo Albums</title>

    <?php echo $dsm_facebook_photos->printCSS_DsmPhotoAlbums(); ?>

</head>
<body>

<div class="container">
    <div class="row dsm-fb-photos">

        <!-- pre-load image loader -->
        <img src="images/ajax-loader.gif" class="display-none" />

        <?php
        // show page title
        echo "<div class='col-md-12'>";
            echo "<h1 class='page-header'>LEVEL 3 - Display Facebook Photo Albums</h1>";
        echo "</div>";

        // set fb page id
        $fb_page_id = isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "221167777906963";
        $dsm_facebook_photos->fb_page_id=$fb_page_id;
        $dsm_facebook_photos->limit=12;

        // read photo albums
        $obj = $dsm_facebook_photos->readPhotoAlbums_Dsm();

        // display albums
        include_once 'albums_template.php';

        // div used for 'infinite scroll' feature
        echo "<div id='last_item_loader' style='text-align:center;'></div>";

        // 'load more' button
        echo "<div class='col-md-12'>";
		      echo "<button class='btn btn-primary' id='load_more_photo_albums'>Load more photo albums...</button>";
        echo "</div>";

        // hidden values used for 'load more' feature
        echo "<div class='dsm-fb-photos-page-id display-none'>{$dsm_facebook_photos->fb_page_id}</div>";
        ?>

    </div> <!-- end row -->
</div> <!-- end container -->

<?php echo $dsm_facebook_photos->printJavaScript_DsmPhotoAlbums(); ?>

</body>
</html>
